#include <stdio.h>

#define MAXN 50

struct Iscrizione {
  int matricola;
  int votoScritto;
  int votoPratica;
};

struct VettIscr { 
  int indice;
  struct Iscrizione iscr[MAXN];
};

int inserisci(struct VettIscr* pc, int m, int vs, int vp) {
  if(pc->indice >= MAXN)
    return -1;
  pc->iscr[pc->indice].matricola = m;
  pc->iscr[pc->indice].votoScritto = vs;
  pc->iscr[pc->indice].votoPratica  = vp;
  pc->indice++;
  return (pc->indice);
}

void stampa(const struct VettIscr* pc){
  int i;
  for(i=0; i < pc->indice; i++)
    printf("%d, %d, %d\n", pc->iscr[i].matricola, pc->iscr[i].votoScritto, pc->iscr[i].votoPratica);   
}

int main(){
  struct VettIscr ci;
  ci.indice=0;
  
  int pos = inserisci(&ci, 401524, 28, 23);  
  if (pos!=-1)
      printf("Matricola 401524 Inserita in posizione %d\n", pos);
  else
      printf("Vettore pieno, non è possibile fare l'inserimento\n");
  pos = inserisci(&ci, 204658, 30, 28);  
  if (pos!=-1)
      printf("Matricola 204658 Inserita in posizione %d\n", pos);
  else
      printf("Vettore pieno, non è possibile fare l'inserimento\n");
  pos = inserisci(&ci, 345998, 20, 18);  
  if (pos!=-1)
      printf("Matricola 345998 Inserita in posizione %d\n", pos);
  else
      printf("Vettore pieno, non è possibile fare l'inserimento\n");
  pos = inserisci(&ci, 420202, 25, 19);  
  if (pos!=-1)
      printf("Matricola 420202 Inserita in posizione %d\n", pos);
  else
      printf("Vettore pieno, non è possibile fare l'inserimento\n");
  pos = inserisci(&ci, 375877, 27, 26);  
  if (pos!=-1)
      printf("Matricola 375877 Inserita in posizione %d\n", pos);
  else
      printf("Vettore pieno, non è possibile fare l'inserimento\n");
  
  stampa(&ci);
  
  return 0;
}


